<?php
/**
 * Main controller
 *
 * @package otfd
 * @subpackage _controllers
 * @since One Time File Download 2.5
 */

namespace Otfd\Controllers;

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/**
 * Class Main Controller
 *
 * @category Controller
 * @package otfd
 * @author  IV | PIXOLETTE
 * @license  http://wp.pixolette.com
 * @link     http://wp.pixolette.com
 */
class Helper {

	public static $license_slug = 'pxlwp-purchase-code-' . OTFD_PLUGIN_BASENAME;

	public static function get_licence() {
		$license = get_site_option( self::$license_slug );
		return $license;
	}

	public static function update_licence( $license ) {
		$transient_name = 'pxlwp-license-status-' . OTFD_PLUGIN_BASENAME;
		delete_transient( $transient_name );
		update_site_option( self::$license_slug, $license );
	}
}
